﻿/**Begin C:\anzhuang\PDM_UPGRADE\PDM1\ICTM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_RELATED_PARTY') 
 CREATE TABLE T_ICTM_RELATED_PARTY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FTYPE BIGINT DEFAULT 0 NOT NULL,
FAREA BIGINT DEFAULT 0 NOT NULL,
FIDTYPE BIGINT DEFAULT 0 NOT NULL,
FIDNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FDESC VARCHAR(2000) DEFAULT ' ' NOT NULL,
FLEGALPERSON VARCHAR(50) DEFAULT ' ' NOT NULL,
FALONECAL CHAR(1) DEFAULT '0' NOT NULL,
FINDIVIDUALRPT CHAR(1) DEFAULT '0' NOT NULL,
FRECORDINGCURRENCY BIGINT DEFAULT 0 NOT NULL,
FREGISTERCURRENCY BIGINT DEFAULT 0 NOT NULL,
FREGISTERAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALCURRENCY BIGINT DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYSTARTDATE DATETIME,
FPAYENDDATE DATETIME,
FTAXTYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXDISCOUNT VARCHAR(500) DEFAULT ' ' NOT NULL,
FBUSINESSPLACE BIGINT DEFAULT 0 NOT NULL,
FINDUSTRYCODE BIGINT DEFAULT 0 NOT NULL,
FISLISTEDCOMPANY CHAR(1) DEFAULT '0' NOT NULL,
FEXCHANGE BIGINT DEFAULT 0 NOT NULL,
FSTOCKCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBUSINESSSCOPE VARCHAR(2000) DEFAULT ' ' NOT NULL,
FDATASRC VARCHAR(50) DEFAULT ' ' NOT NULL,
FUNIFIEDSOCIALCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXPAYERNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_RELATED_PARTY_L') 
 CREATE TABLE T_ICTM_RELATED_PARTY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


--IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_OTHER_TRANSDETAIL')
-- CREATE TABLE T_ICTM_OTHER_TRANSDETAIL (
--FID BIGINT DEFAULT 0 NOT NULL,
--FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
--FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
--FCREATORID BIGINT DEFAULT 0 NOT NULL,
--FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
--FAUDITORID BIGINT DEFAULT 0 NOT NULL,
--FAUDITDATE DATETIME,
--FMODIFYTIME DATETIME,
--FCREATETIME DATETIME,
--FORGID BIGINT DEFAULT 0 NOT NULL,
--FTAXORG BIGINT DEFAULT 0 NOT NULL,
--FCOUNTERPARTY BIGINT DEFAULT 0 NOT NULL,
--FYEAR DATETIME,
--FDESCRIPTION VARCHAR(500) DEFAULT ' ' NOT NULL,
--FTRANSAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
--FREMARKS VARCHAR(2000) DEFAULT ' ' NOT NULL,
--FTAXPAYERTEXT VARCHAR(255) DEFAULT ' ' NOT NULL,
--FDATASRC VARCHAR(50) DEFAULT ' ' NOT NULL
--);



/**End C:\anzhuang\PDM_UPGRADE\PDM1\ICTM_table.sql **/
