﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ICTM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICMT_TRANS_SETTLE_PLAN') 
 CREATE TABLE T_ICMT_TRANS_SETTLE_PLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYPROPORTION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFREQUENCY VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATEUNIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_CONNECT_TRANS_SETT') 
 CREATE TABLE T_ICTM_CONNECT_TRANS_SETT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FSETTLETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSACTIONCONTENT BIGINT DEFAULT 0 NOT NULL,
FSETTLEDATE DATETIME,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(50) DEFAULT ' ' NOT NULL,
FPURCHASERCODE BIGINT DEFAULT 0 NOT NULL,
FPURCHASERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPURCHASERZCSH VARCHAR(50) DEFAULT ' ' NOT NULL,
FPURCHASERSYKJZC BIGINT DEFAULT 0 NOT NULL,
FPURCHASERZGSWJG BIGINT DEFAULT 0 NOT NULL,
FPURCHASERSSGJ VARCHAR(50) DEFAULT ' ' NOT NULL,
FPURCHASERZCDZ VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLERCODE BIGINT DEFAULT 0 NOT NULL,
FSELLERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLERZCSH VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLERSYHJZC BIGINT DEFAULT 0 NOT NULL,
FSELLERZGSWJG BIGINT DEFAULT 0 NOT NULL,
FSELLERSSGJ VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLERZCDZ VARCHAR(50) DEFAULT ' ' NOT NULL,
FBWB BIGINT DEFAULT 0 NOT NULL,
FJSBB BIGINT DEFAULT 0 NOT NULL,
FHLB BIGINT DEFAULT 0 NOT NULL,
FHLDATE DATETIME,
FJSFS BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FSETTLEREGION_START DATETIME,
FSETTLEREGION_END DATETIME,
FCONTRACTBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FPRICERULE BIGINT DEFAULT 0 NOT NULL,
FHL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASRATIO CHAR(1) DEFAULT '0' NOT NULL,
FRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_TRANS_SETT_ARTIFIC') 
 CREATE TABLE T_ICTM_TRANS_SETT_ARTIFIC (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTASKNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODUCT VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODULEPATH VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTORG BIGINT DEFAULT 0 NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FITERATIONPHASE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTEAM VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEADER VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FPEOPLEORG BIGINT DEFAULT 0 NOT NULL,
FHOURRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FCOMPLEDATE DATETIME,
FINTODATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLABORCOST DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_TRANS_SETT_ROYAL') 
 CREATE TABLE T_ICTM_TRANS_SETT_ROYAL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FROYALORG BIGINT DEFAULT 0 NOT NULL,
FROYALSUBBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FROYALSUBNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FROYALPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FROYALBOOKDATE DATETIME,
FROYALBUSINESSDATE DATETIME,
FROYALCERTIFICATENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FROYALCERTIFICATETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FROYALPRODUCER VARCHAR(50) DEFAULT ' ' NOT NULL,
FROYALSOURCESYS VARCHAR(50) DEFAULT ' ' NOT NULL,
FROYALABSTRAC VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIMENSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FROYALDEBIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROYALCREDIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROYALDIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FROYALBALANCEJE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_TRANS_SETT_SUBJECT') 
 CREATE TABLE T_ICTM_TRANS_SETT_SUBJECT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORG BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUBBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUBNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FQCDEBITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQCCREDITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQDEBITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQCREDITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQMDEBITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQMCREDITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDATASOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCESYS VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_TRANS_SETTLE_DETAI') 
 CREATE TABLE T_ICTM_TRANS_SETTLE_DETAI (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTPTZQJSSBB DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTPTZSBB DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJSSBB DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEBB BIGINT DEFAULT 0 NOT NULL,
FRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDKZZSSL BIGINT DEFAULT 0 NOT NULL,
FDKZZSSBB DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDKSDSSL BIGINT DEFAULT 0 NOT NULL,
FTOTALYFJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDKSDSSBB DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALYSJE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_LABOR_SERVI_SETTLE') 
 CREATE TABLE T_ICTM_LABOR_SERVI_SETTLE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FTASKNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODUCT VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODULEPATH VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTORG BIGINT DEFAULT 0 NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FITERATIONPHASE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTEAM VARCHAR(50) DEFAULT ' ' NOT NULL,
FTEXTFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FPEOPLEORG BIGINT DEFAULT 0 NOT NULL,
FLEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FHOURRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FCOMPLEDATE DATETIME,
FINTODATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLABORCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FSETTLEREGION_START DATETIME,
FSETTLEREGION_END DATETIME,
FSETTLEDATE DATETIME,
FSBBID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_ROYALTY_SETTLE') 
 CREATE TABLE T_ICTM_ROYALTY_SETTLE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORG BIGINT DEFAULT 0 NOT NULL,
FSUBNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTINGPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FBUSINESSDATE DATETIME,
FCERTIFICATENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCERTIFICATETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODUCER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCESYS VARCHAR(50) DEFAULT ' ' NOT NULL,
FABSTRACT VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIMENSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEBIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALANCEDIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FBALANCEJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FSETTLEDATE DATETIME,
FSETTLEREGION_START DATETIME,
FSETTLEREGION_END DATETIME,
FSBBID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_SOFTWE_SETTLE') 
 CREATE TABLE T_ICTM_SOFTWE_SETTLE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORG BIGINT DEFAULT 0 NOT NULL,
FSUBNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTINGPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FBUSINESSDATE DATETIME,
FCERTIFICATENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCERTIFICATETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODUCER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCESYS VARCHAR(50) DEFAULT ' ' NOT NULL,
FABSTRACT VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLERORG BIGINT DEFAULT 0 NOT NULL,
FPURCHASERORG BIGINT DEFAULT 0 NOT NULL,
FSOFTWARENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEBIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALANCEDIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FBALANCEJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FSETTLEDATE DATETIME,
FSETTLEREGION_START DATETIME,
FSETTLEREGION_END DATETIME,
FSBBID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ICTM_table.sql **/
