﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ICTM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_TRANSACTIO_CONTENT') 
 CREATE TABLE T_ICTM_TRANSACTIO_CONTENT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_TRANSACTIO_CONTENT_L') 
 CREATE TABLE T_ICTM_TRANSACTIO_CONTENT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIBE VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_CONNECT_PARTY') 
 CREATE TABLE T_ICTM_CONNECT_PARTY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FCONTRACTNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSACTIONCONTENT BIGINT DEFAULT 0 NOT NULL,
FSIGNINGDATE DATETIME,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL,
FPURCHASERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPURCHASERZCSH VARCHAR(50) DEFAULT ' ' NOT NULL,
FPURCHASERSSGJ VARCHAR(50) DEFAULT ' ' NOT NULL,
FPURCHASERZCDZ VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLERZCSH VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLERSSGJ VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLERZCDZ VARCHAR(50) DEFAULT ' ' NOT NULL,
FBWB BIGINT DEFAULT 0 NOT NULL,
FJSBB BIGINT DEFAULT 0 NOT NULL,
FHLB BIGINT DEFAULT 0 NOT NULL,
FHLDATE DATETIME,
FHL VARCHAR(50) DEFAULT ' ' NOT NULL,
FJSFS BIGINT DEFAULT 0 NOT NULL,
FPURCHASERCODE BIGINT DEFAULT 0 NOT NULL,
FSELLERCODE BIGINT DEFAULT 0 NOT NULL,
FPURCHASERSYKJZC BIGINT DEFAULT 0 NOT NULL,
FSELLERSYHJZC BIGINT DEFAULT 0 NOT NULL,
FPURCHASERZGSWJG BIGINT DEFAULT 0 NOT NULL,
FSELLERZGSWJG BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICMT_SETTLEMENT_PLAN') 
 CREATE TABLE T_ICMT_SETTLEMENT_PLAN (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYPROPORTION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFREQUENCY VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATEUNIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICMT_CONTRACT_DETAILS') 
 CREATE TABLE T_ICMT_CONTRACT_DETAILS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTRANCONTENT BIGINT DEFAULT 0 NOT NULL,
FGUIGE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSFYS CHAR(1) DEFAULT ' ' NOT NULL,
FSUIL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWHT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWVAT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTRACTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXTOTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARKTEXT VARCHAR(50) DEFAULT ' ' NOT NULL,
FSKCDF BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ICTM_table.sql **/
