﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ICTM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ICTM_CONNECT_PARTY' AND KSQL_COL_NAME ='FASRATIO') 
 ALTER TABLE T_ICTM_CONNECT_PARTY ADD (FASRATIO CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICMT_CONTRACT_DETAI_SUP') 
 CREATE TABLE T_ICMT_CONTRACT_DETAI_SUP (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTRANCONTENT BIGINT DEFAULT 0 NOT NULL,
FGUIGE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSFYS CHAR(1) DEFAULT ' ' NOT NULL,
FSUIL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSKCDF BIGINT DEFAULT 0 NOT NULL,
FWHT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWVAT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTRACTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXTOTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARKTEXT VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_CONNECT_TRANS_STOP') 
 CREATE TABLE T_ICTM_CONNECT_TRANS_STOP (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FCONTRACTNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSIGNINGDATE DATETIME,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FORIGBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FORIGCONTRACTNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSACTIONCONTENT BIGINT DEFAULT 0 NOT NULL,
FORIGSIGNINGDATE DATETIME,
FORIGSTARTDATE DATETIME,
FORIGENDDATE DATETIME,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL,
FPURCHASERCODE BIGINT DEFAULT 0 NOT NULL,
FPURCHASERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPURCHASERZCSH VARCHAR(50) DEFAULT ' ' NOT NULL,
FPURCHASERSYKJZC BIGINT DEFAULT 0 NOT NULL,
FPURCHASERZGSWJG BIGINT DEFAULT 0 NOT NULL,
FPURCHASERSSGJ VARCHAR(50) DEFAULT ' ' NOT NULL,
FPURCHASERZCDZ VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLERCODE BIGINT DEFAULT 0 NOT NULL,
FSELLERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLERZCSH VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLERSYHJZC BIGINT DEFAULT 0 NOT NULL,
FSELLERZGSWJG BIGINT DEFAULT 0 NOT NULL,
FSELLERSSGJ VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLERZCDZ VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FSTOPCONTRACTDES VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTOPCONTRACTDES_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_CONNECT_TRANSA_SUP') 
 CREATE TABLE T_ICTM_CONNECT_TRANSA_SUP (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FCONTRACTNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSACTIONCONTENT BIGINT DEFAULT 0 NOT NULL,
FSIGNINGDATE DATETIME,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL,
FPURCHASERCODE BIGINT DEFAULT 0 NOT NULL,
FPURCHASERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPURCHASERZCSH VARCHAR(50) DEFAULT ' ' NOT NULL,
FPURCHASERSYKJZC BIGINT DEFAULT 0 NOT NULL,
FPURCHASERZGSWJG BIGINT DEFAULT 0 NOT NULL,
FPURCHASERSSGJ VARCHAR(50) DEFAULT ' ' NOT NULL,
FPURCHASERZCDZ VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLERCODE BIGINT DEFAULT 0 NOT NULL,
FSELLERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLERZCSH VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLERSYHJZC BIGINT DEFAULT 0 NOT NULL,
FSELLERZGSWJG BIGINT DEFAULT 0 NOT NULL,
FSELLERSSGJ VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLERZCDZ VARCHAR(50) DEFAULT ' ' NOT NULL,
FBWB BIGINT DEFAULT 0 NOT NULL,
FJSBB BIGINT DEFAULT 0 NOT NULL,
FHLB BIGINT DEFAULT 0 NOT NULL,
FJSFS BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FSUPPLEAGREE VARCHAR(50) DEFAULT ' ' NOT NULL,
FORIGBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FORIGCONTRACTNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FORIGSIGNINGDATE DATETIME,
FORIGSTARTDATE DATETIME,
FORIGENDDATE DATETIME,
FSTOPCONTRACTDES VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTOPCONTRACTDES_TAG NCLOB,
FASRATIO CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICMT_SETTLEMEN_PLAN_SUP') 
 CREATE TABLE T_ICMT_SETTLEMEN_PLAN_SUP (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYPROPORTION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFREQUENCY VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATEUNIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYDATE DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_PRICE_JSMETHOD') 
 CREATE TABLE T_ICTM_PRICE_JSMETHOD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCALLBILL VARCHAR(36) DEFAULT ' ' NOT NULL,
FFORMULA VARCHAR(2000) DEFAULT ' ' NOT NULL,
FCREATEORG BIGINT DEFAULT 0 NOT NULL,
FISPRESET CHAR(1) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_PRICE_JSMETHOD_L') 
 CREATE TABLE T_ICTM_PRICE_JSMETHOD_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ICTM_table.sql **/
